import { JSONSchemaForNPMPackageJsonFiles as PackageJson } from '@schemastore/package';
export declare const packageTypes: PackageType[];
export declare const ModularTypes: ModularType[];
export declare type PackageType = 'app' | 'view' | 'package';
export declare type ModularType = PackageType | 'root';
export declare type ModularPackageJson = PackageJson & {
    modular?: {
        type: ModularType;
    };
};
export declare function getModularType(dir: string): ModularType | undefined;
export default function isModularType(dir: string, type: PackageType): boolean;
export declare function isValidModularType(dir: string): boolean;
